
kerio.waw.ui.ftpRuleList = {

x_m: function(x_n) {
var
x_2w,
x_x = kerio.lib.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_5o = {
x_n: 'x_ub',
x_o: x_o,
x_hi: 'FtpPolicyManager',
x_i3: x_fi.x_uc,
x_h0: {
x_ud: x_fa.x_ue
},
x_hw: 'x_uf',

x_i1: function(x_47) {
if (x_fi.x_ug(x_47)) {
return true;
}
if (x_r.x_uh.x_ui !== x_47.serverType && x_47.serverAddressGroup.invalid) {
return true;
}
},
x_61: function(x_3l, x_eo, x_7s) {
var x_uj;
if (x_3l.x_h7 && 'users' !== x_7s) {
return; }
if (x_eo.x_h5) {
return; }
switch (x_7s) {
case 'contentType':
x_uj = 'ftpRuleCommandEditor';
break;
case 'serverType':
x_uj = 'ftpRuleServerEditor';
break;
default:
return;
}kerio.lib.x_5l.x_5m({
x_5g: x_uj,
x_28: {
x_47: x_eo,
x_5d: x_3l
}
});
},x_5x: {
action:		{	x_7s: 'action',
x_23: x_x('Action', 'common'),
x_7u: kerio.waw.shared.x_3e.x_8q.x_uk,
x_1u: x_fa.x_ul,
x_ed:  {	x_1f: 'x_9u',
x_a5: 'x_1o',
x_a7: 'x_1j',
x_um: 'x_cz',
x_un: 'ruleAction',
x_uo: false,
x_5z: [
{ x_1j: x_r.x_im.x_in, x_1o: x_x('Allow', 'common'), x_cz: 'allow'},
{ x_1j: x_r.x_im.x_up, x_1o: x_x('Deny', 'common'), x_cz: 'deny'}
],
x_uq: {
x_1o: x_r.x_im.x_ur,
x_us: x_x('Select action', 'list')
},

x_gj: function(x_9d, x_ax) {
var
x_ut = x_9d.x_gg().x_uu,
x_uv = x_ax.x_2t();
if (x_ut === x_uv) {
return; }
kerio.waw.status.x_14.x_15(true);
}
}},
contentType: {	x_7s: 'contentType',
x_23: x_x('Condition', 'ftpRuleList'),
x_1u: 210,

x_7u: function (x_1o, x_47) {
var
x_x = kerio.lib.x_x,
x_uw = x_r.x_tr,
x_1x = x_47.content,
x_fk,
x_cy = 'ruleCondition';
switch (x_1o) {
case x_uw.x_ts:
x_1o = '';
x_cy = undefined;
break;
case x_uw.x_tt:
x_1o = x_1x;
x_cy += " download";
break;
case x_uw.x_tu:
x_1o = x_1x;
x_cy += " upload";
break;
case x_uw.x_tv:
x_1o = x_1x;
x_cy += " downloadUpload";
break;
case x_uw.x_tw:
if ('*' === x_1x.charAt(0)) {
x_1o = x_x('Issue any command', 'ftpRuleList');
}
else {
x_fk = x_1x.indexOf(' dst');
if (-1 !== x_fk) {
x_1x = x_1x.substring(0, x_fk);
}
else {
x_1x = x_1x.substring(0);
}
x_1o = x_1x.replace(/\,/g, ', ');
}
x_cy = undefined;
break;
default:
x_1o = '';
break;
}if(x_cy && x_47.inactive) {
x_cy += ' inactive';
}
return {
x_47: x_1o,
x_cy: x_cy
};
}} ,
serverType: {	x_7s: 'serverType',
x_23: x_x('Server', 'common'),
x_1u: 140,

x_7u: function (x_1o, x_47) {
var
x_x = kerio.lib.x_x,
x_ux = x_r.x_uh,
x_cy,
x_uy,
x_dh = {};
switch (x_1o) {
case x_ux.x_ui:
x_1o = ' ';
break;
case x_ux.x_uz:
x_1o = x_47.server;
break;
case x_ux.x_v0:
x_dh.validAddressGroup = x_47.serverAddressGroup;
x_uy = kerio.waw.shared.x_3e.x_8q.x_gm(undefined, x_dh);
x_1o = x_uy.x_47;
x_cy = x_uy.x_cy;
break;
default:
x_1o = '';
break;
}return {
x_47: x_1o,
x_cy: x_cy
};
}},
server: {	x_7s: 'server',
x_7t  : true
},
skipAvScan: {	x_7s: 'skipAvScan',
x_23: x_x('Properties', 'ruleList'),
x_1u: kerio.lib.x_a1({
x_a2: 140,
cs: 185,
de: 160,
es: 160,
fr: 160,
hr: 185,
it: 160,
ja: 185,
pl: 185,
pt: 185,
ru: 235,
sk: 170,
sv: 170
}),

x_7u: function (x_1o, x_47) {
var
x_v1 = '';
if (x_r.x_im.x_up === x_47.action) {
x_v1 = 'ruleProperties avScanner inactive';
}
return {
x_47: kerio.lib.x_x('Skip anti-virus scanning', 'ftpRuleList'),
x_1p: x_v1
};
},x_ed: {	x_1f: 'x_1q',
x_7s: 'skipAvScan',
x_9t: kerio.waw.status.x_14.x_15
}
},
content:	{	x_7s: 'content',
x_7t  : true
},
serverAddressGroup: {	x_7s: 'serverAddressGroup',
x_7t  : true
}
},
x_g3: ['id', 'description',
'name', 'action', 'skipAvScan',  'serverType', 'contentType', 'userCondition', 'users',
'validAddressGroup', 'validAddressGroupEditor', 'validTimeRange', 'validTimeRangeEditor',
'logEnabled', 'color', 'content', 'enabled', 'inactive', 'server', 'serverAddressGroup'
],
x_hy: {
action: x_r.x_im.x_up
}
},x_3l;
this.x_ga = x_n;
x_2w = this.x_ga + '_';
x_3l = new kerio.waw.shared.x_17.x_fp(x_2w + 'x_v2', x_5o);
this.x_2a(x_3l);
return x_3l;
}, 
x_2a: function(x_2b) {
var x_x = kerio.lib.x_x;
var x_v3 = {
x_v4: {
x_v5: x_x('Select action', 'list')
}
}; x_fi.x_iq(x_v3, x_fa, 'x_v3');

x_2b.x_2c = function () {
x_fi.x_3f();
this.x_2d();
}; } }; 